%define upstream_name	  Chess
%define upstream_version  0.6.2

%{?perl_default_filter}

Name:		perl-%upstream_name
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 12
Summary:	A framework for writing chess programs with Perl 
License:	GPL+ or Artistic 
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/B/BJ/BJR/%upstream_name-%upstream_version.tar.gz
BuildRequires:	perl(Carp)
BuildRequires:	perl(Test::Simple)
BuildRequires:	perl(List::Compare)

BuildArch:	noarch
Obsoletes:	perl-Chess < 0.6.2-6

%description
This package is provided as shorthand for cpan module Chess::Game. It
provided no functionality not contained within the other packages in
this module.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README TODO MANIFEST
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.6.2-12.mga10
+ Revision: 2197836
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.6.2-11.mga9
+ Revision: 1802330
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.6.2-10.mga8
+ Revision: 1493510
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.2-9.mga7
+ Revision: 1266117
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.6.2-8.mga6
+ Revision: 1023835
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 0.6.2-7.mga6
+ Revision: 970234
- Mageia 6 Mass Rebuild

* Wed Sep 30 2015 sander85 <sander85> 0.6.2-6.mga6
+ Revision: 885363
- Convert to noarch package

* Wed Oct 15 2014 umeabot <umeabot> 0.6.2-5.mga5
+ Revision: 748839
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.6.2-4.mga5
+ Revision: 683870
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.6.2-3.mga4
+ Revision: 509982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.6.2-2.mga3
+ Revision: 364177
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 04 2011 kharec <kharec> 0.6.2-1.mga2
+ Revision: 162780
- fix typo
- imported package perl-Chess

